com.sun.pdfview.decrypt

## Class EncryptionUnsupportedByProductException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.sun.pdfview.decrypt.UnsupportedEncryptionException
      - - com.sun.pdfview.decrypt.EncryptionUnsupportedByProductException

All Implemented Interfaces:
  java.io.Serializable

    public class EncryptionUnsupportedByProductException
    extends UnsupportedEncryptionException

Identifies that the specified encryption mechanism is not supported by this product, that is, PDFRenderer, as opposed to a `limitation in the platform`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`EncryptionUnsupportedByProductException(java.lang.String message)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EncryptionUnsupportedByProductException

    public EncryptionUnsupportedByProductException(java.lang.String message)